"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _AsyncPickerButton = _interopRequireDefault(require("./AsyncPickerButton"));

var _AsyncPickerModule = _interopRequireDefault(require("./AsyncPickerModule"));

var _AsyncPickerConfigsContext = require("./utils/AsyncPickerConfigsContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const AsyncPicker = _ref => {
  let {
    onOpen,
    onClose,
    label = 'Select',
    renderChips,
    value,
    keyExtractor,
    onChange,
    themeConfigs,
    ...props
  } = _ref;
  const [isModalOpen, setIsModalOpen] = (0, _react.useState)(false);
  const {
    configs,
    setConfigs
  } = (0, _AsyncPickerConfigsContext.useAsyncPickerConfigs)();
  (0, _react.useEffect)(() => {
    setConfigs({ ...configs,
      ...themeConfigs
    });
  }, [themeConfigs]);

  const onModalOpen = () => {
    setIsModalOpen(true);

    if (onOpen) {
      onOpen();
    }
  };

  const onModalClose = () => {
    setIsModalOpen(false);

    if (onClose) {
      onClose();
    }
  };

  const onDeleteItem = item => {
    console.log(item);
    const newValue = value.filter(el => keyExtractor(el) !== keyExtractor(item));
    onChange(newValue);
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [configs.containerStyle]
  }, /*#__PURE__*/_react.default.createElement(_AsyncPickerButton.default, {
    label: label,
    value: value,
    onPress: () => {
      onModalOpen();
    }
  }), renderChips && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: configs.chipsGridStyle
  }, value.map(item => {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, {
      key: keyExtractor(item)
    }, renderChips(item, onDeleteItem));
  })), /*#__PURE__*/_react.default.createElement(_reactNative.KeyboardAvoidingView, {
    behavior: _reactNative.Platform.OS === 'ios' ? 'padding' : 'height',
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    animationType: "slide",
    presentationStyle: "formSheet",
    transparent: false,
    visible: isModalOpen,
    onRequestClose: () => {
      setIsModalOpen(!isModalOpen);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
    barStyle: "light-content"
  }), /*#__PURE__*/_react.default.createElement(_AsyncPickerModule.default, _extends({
    value: value,
    keyExtractor: keyExtractor,
    onChange: onChange
  }, props, {
    onClose: () => {
      onModalClose();
    }
  }))))));
};

var _default = AsyncPicker;
exports.default = _default;
//# sourceMappingURL=AsyncPicker.js.map