"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _AsyncPickerCheckBox = _interopRequireDefault(require("./AsyncPickerCheckBox"));

var _AsyncPickerConfigsContext = require("./utils/AsyncPickerConfigsContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const AsyncPickerItem = /*#__PURE__*/_react.default.memo(_ref => {
  let {
    label,
    value,
    isActive,
    renderIcon,
    as = 'checkbox',
    ...props
  } = _ref;
  const {
    configs
  } = (0, _AsyncPickerConfigsContext.useAsyncPickerConfigs)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    style: [configs.pickerItemContainerStyle, props.disabled && configs.pickerItemDisabledStyle]
  }, props), /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, renderIcon ? renderIcon(isActive ? true : false) : /*#__PURE__*/_react.default.createElement(_AsyncPickerCheckBox.default, {
    isActive: isActive,
    color: configs.colors.checkboxOff,
    activeColor: configs.colors.checkboxOn,
    size: configs.sizes.checkboxSize,
    borderRadius: as === 'radio' ? configs.sizes.checkboxSize / 2 : configs.sizes.checkboxBorderRadius
  })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: configs.pickerItemTextStyle
  }, label || value));
});

var _default = AsyncPickerItem;
exports.default = _default;
//# sourceMappingURL=AsyncPickerItem.js.map