function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useEffect, useState } from 'react';
import { KeyboardAvoidingView, Modal, Platform, SafeAreaView, StatusBar, View } from 'react-native';
import AsyncPickerButton from './AsyncPickerButton';
import AsyncPickerModule from './AsyncPickerModule';
import { useAsyncPickerConfigs } from './utils/AsyncPickerConfigsContext';

const AsyncPicker = _ref => {
  let {
    onOpen,
    onClose,
    label = 'Select',
    renderChips,
    value,
    keyExtractor,
    onChange,
    themeConfigs,
    ...props
  } = _ref;
  const [isModalOpen, setIsModalOpen] = useState(false);
  const {
    configs,
    setConfigs
  } = useAsyncPickerConfigs();
  useEffect(() => {
    setConfigs({ ...configs,
      ...themeConfigs
    });
  }, [themeConfigs]);

  const onModalOpen = () => {
    setIsModalOpen(true);

    if (onOpen) {
      onOpen();
    }
  };

  const onModalClose = () => {
    setIsModalOpen(false);

    if (onClose) {
      onClose();
    }
  };

  const onDeleteItem = item => {
    console.log(item);
    const newValue = value.filter(el => keyExtractor(el) !== keyExtractor(item));
    onChange(newValue);
  };

  return /*#__PURE__*/React.createElement(View, {
    style: [configs.containerStyle]
  }, /*#__PURE__*/React.createElement(AsyncPickerButton, {
    label: label,
    value: value,
    onPress: () => {
      onModalOpen();
    }
  }), renderChips && /*#__PURE__*/React.createElement(View, {
    style: configs.chipsGridStyle
  }, value.map(item => {
    return /*#__PURE__*/React.createElement(React.Fragment, {
      key: keyExtractor(item)
    }, renderChips(item, onDeleteItem));
  })), /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: Platform.OS === 'ios' ? 'padding' : 'height',
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(Modal, {
    animationType: "slide",
    presentationStyle: "formSheet",
    transparent: false,
    visible: isModalOpen,
    onRequestClose: () => {
      setIsModalOpen(!isModalOpen);
    }
  }, /*#__PURE__*/React.createElement(SafeAreaView, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(StatusBar, {
    barStyle: "light-content"
  }), /*#__PURE__*/React.createElement(AsyncPickerModule, _extends({
    value: value,
    keyExtractor: keyExtractor,
    onChange: onChange
  }, props, {
    onClose: () => {
      onModalClose();
    }
  }))))));
};

export default AsyncPicker;
//# sourceMappingURL=AsyncPicker.js.map