import React from 'react';
import { Text, TouchableOpacity, View } from 'react-native';
import { useAsyncPickerConfigs } from './utils/AsyncPickerConfigsContext';

const AsyncPickerHeader = _ref => {
  let {
    onCancel,
    onSave,
    title,
    ...props
  } = _ref;
  const {
    configs
  } = useAsyncPickerConfigs();
  return /*#__PURE__*/React.createElement(View, props, /*#__PURE__*/React.createElement(View, {
    style: configs.headerContainerStyle
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1
    }
  }, onCancel && /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: () => {
      onCancel();
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: configs.headerTextStyle
  }, "Cancel"))), /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1
    }
  }, title && /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: configs.headerTitleStyle
  }, title)), /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      flexDirection: 'row',
      justifyContent: 'flex-end'
    }
  }, onSave && /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: () => {
      onSave();
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: configs.headerTextStyle
  }, "Done")))));
};

export default AsyncPickerHeader;
//# sourceMappingURL=AsyncPickerHeader.js.map