function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Text, TouchableOpacity } from 'react-native';
import AsyncPickerCheckBox from './AsyncPickerCheckBox';
import { useAsyncPickerConfigs } from './utils/AsyncPickerConfigsContext';
const AsyncPickerItem = /*#__PURE__*/React.memo(_ref => {
  let {
    label,
    value,
    isActive,
    renderIcon,
    as = 'checkbox',
    ...props
  } = _ref;
  const {
    configs
  } = useAsyncPickerConfigs();
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    style: [configs.pickerItemContainerStyle, props.disabled && configs.pickerItemDisabledStyle]
  }, props), /*#__PURE__*/React.createElement(React.Fragment, null, renderIcon ? renderIcon(isActive ? true : false) : /*#__PURE__*/React.createElement(AsyncPickerCheckBox, {
    isActive: isActive,
    color: configs.colors.checkboxOff,
    activeColor: configs.colors.checkboxOn,
    size: configs.sizes.checkboxSize,
    borderRadius: as === 'radio' ? configs.sizes.checkboxSize / 2 : configs.sizes.checkboxBorderRadius
  })), /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: configs.pickerItemTextStyle
  }, label || value));
});
export default AsyncPickerItem;
//# sourceMappingURL=AsyncPickerItem.js.map