import React from 'react';
import type { AsyncPickerModuleProps } from './AsyncPickerModule';
import { InitialConfigsProps } from './utils/AsyncPickerConfigsContext';
export declare type AsyncPickerProps<T> = AsyncPickerModuleProps<T> & {
    renderButton?: (data: T[] | undefined) => React.ReactChild;
    renderChips?: (item: T, deleteItem: (item: T) => void) => React.ReactNode;
    label?: string;
    themeConfigs?: Partial<InitialConfigsProps>;
};
declare const AsyncPicker: <T>({ onOpen, onClose, label, renderChips, value, keyExtractor, onChange, themeConfigs, ...props }: AsyncPickerProps<T>) => JSX.Element;
export default AsyncPicker;
