import React, { CSSProperties } from 'react';
import { FlatListProps, ListRenderItemInfo } from 'react-native';
interface RenderPickerItemProps<T> extends ListRenderItemInfo<T> {
    onItemPress: (item: T) => void;
    isActive: boolean;
    isDisabled: boolean;
}
export interface AsyncPickerModuleProps<T> extends Omit<FlatListProps<T>, 'renderItem'> {
    value: T[];
    onChange: (item: T[]) => void;
    keyExtractor: (item: T) => string;
    searchableStringExtractor?: (item: T) => string;
    limit?: number;
    renderItem: (renderProps: RenderPickerItemProps<T>) => React.ReactChild;
    onClose?: () => void;
    onOpen?: () => void;
    onSearch?: (text: string) => void;
    headerStyle?: CSSProperties;
    closeOnSelect?: boolean;
    initialConfigs?: any;
    isLoading?: boolean;
    noResultComponent?: (query: string) => React.ReactElement;
}
declare const AsyncPickerModule: <T>(props: AsyncPickerModuleProps<T>) => JSX.Element;
export default AsyncPickerModule;
