import React from 'react';
import { ImageStyle, StyleProp, TextStyle, ViewStyle } from 'react-native';
export declare const defaultLightColors: {
    backgroundColor: string;
    textDefaultColor: string;
    textLinkColor: string;
    borderColor: string;
    chipsItemBackgroundColor: string;
    chipsItemBorderColor: string;
    chipsItemCloseButtonBackgroundColor: string;
    chipsItemCloseButtonIconColor: string;
    checkboxOff: string;
    checkboxOn: string;
};
export declare const defaultDarkColors: typeof defaultLightColors;
export declare const defaultColors: {
    light: {
        backgroundColor: string;
        textDefaultColor: string;
        textLinkColor: string;
        borderColor: string;
        chipsItemBackgroundColor: string;
        chipsItemBorderColor: string;
        chipsItemCloseButtonBackgroundColor: string;
        chipsItemCloseButtonIconColor: string;
        checkboxOff: string;
        checkboxOn: string;
    };
    dark: {
        backgroundColor: string;
        textDefaultColor: string;
        textLinkColor: string;
        borderColor: string;
        chipsItemBackgroundColor: string;
        chipsItemBorderColor: string;
        chipsItemCloseButtonBackgroundColor: string;
        chipsItemCloseButtonIconColor: string;
        checkboxOff: string;
        checkboxOn: string;
    };
};
export declare type ColorsProps = typeof defaultLightColors;
declare const defaultSizes: {
    screenPadding: number;
    buttonHeight: number;
    chipsItemHeight: number;
    chipsItemBorderRadius: number;
    chipsItemGapSize: number;
    chipsItemPaddingLeft: number;
    chipsItemPaddingRight: number;
    checkboxSize: number;
    checkboxBorderRadius: number;
};
export interface InitialConfigsProps {
    colors: ColorsProps;
    sizes: typeof defaultSizes;
    textBaseStyle: StyleProp<TextStyle>;
    textLinkStyle: StyleProp<TextStyle>;
    buttonContainerStyle: StyleProp<ViewStyle>;
    buttonTextStyle: StyleProp<TextStyle>;
    containerStyle: StyleProp<ViewStyle>;
    chipsGridStyle: StyleProp<ViewStyle>;
    chipsItemContainerStyle: StyleProp<ViewStyle>;
    chipsItemCloseButtonStyle: StyleProp<ViewStyle>;
    chipsItemCloseIconStyle: StyleProp<ImageStyle>;
    chipsItemTextStyle: StyleProp<TextStyle>;
    headerContainerStyle: StyleProp<ViewStyle>;
    headerTextStyle: StyleProp<TextStyle>;
    headerTitleStyle: StyleProp<TextStyle>;
    searchInputStyle: StyleProp<ViewStyle>;
    pickerItemContainerStyle: StyleProp<ViewStyle>;
    pickerItemTextStyle: StyleProp<TextStyle>;
    pickerItemIconStyle: StyleProp<ImageStyle>;
    pickerItemActiveIconStyle: StyleProp<ImageStyle>;
    pickerItemDisabledStyle: StyleProp<ViewStyle>;
}
export interface AsyncPickerConfigsContextProps {
    configs: InitialConfigsProps;
    setConfigs: (configs: InitialConfigsProps) => void;
}
declare const AsyncPickerConfigsProvider: ({ children, configParams, }: {
    children: React.ReactNode;
    configParams?: InitialConfigsProps | undefined;
}) => JSX.Element;
declare function useAsyncPickerConfigs(): AsyncPickerConfigsContextProps;
export { AsyncPickerConfigsProvider, useAsyncPickerConfigs };
