import React from 'react';
import {
  Text,
  TouchableOpacity,
  TouchableOpacityProps,
  View,
} from 'react-native';
import { useAsyncPickerConfigs } from './utils/AsyncPickerConfigsContext';

interface AsyncPickerButtonProps<T> extends TouchableOpacityProps {
  value?: T[];
  label: string;
}

const AsyncPickerButton = <T,>({
  value,
  label,
  ...props
}: AsyncPickerButtonProps<T>) => {
  const { configs } = useAsyncPickerConfigs();

  return (
    <TouchableOpacity activeOpacity={0.7} {...props}>
      <View style={[configs.buttonContainerStyle]}>
        <Text style={[configs.buttonTextStyle]}>{label}</Text>
        <Text style={[configs.textLinkStyle]}>Select</Text>
      </View>
    </TouchableOpacity>
  );
};

export default AsyncPickerButton;
