import React from 'react';
import { View, ViewProps } from 'react-native';
import twColors from './utils/twColors';

interface AsyncPickerCheckBoxProps extends ViewProps {
  isActive?: boolean;
  size?: number;
  borderRadius?: number;
  color?: string;
  activeColor?: string;
}
const AsyncPickerCheckBox = React.memo<AsyncPickerCheckBoxProps>(
  ({
    isActive,
    borderRadius = 10,
    size = 20,
    style,
    color = twColors.slate[200],
    activeColor = twColors.blue[500],
    ...props
  }) => {
    return (
      <View
        style={[
          {
            width: size,
            height: size,
            borderRadius: borderRadius,
            marginRight: 8,
            backgroundColor: isActive ? activeColor : color,
          },
          style,
        ]}
        {...props}
      ></View>
    );
  }
);

export default AsyncPickerCheckBox;
